PulseTestLocators.DataBrowser (Apache Geode 1.7.0)
Date: 2018-09-27

org.apache.geode.tools.pulse.tests

## Class PulseTestLocators.DataBrowser

- java.lang.Object
- - org.apache.geode.tools.pulse.tests.PulseTestLocators.DataBrowser

- Enclosing class:
    PulseTestLocators

      public static class PulseTestLocators.DataBrowser
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `btnClearXpath`
    `static java.lang.String` | `btnExecuteQueryId`
    `static java.lang.String` | `divDataRegions`
    `static java.lang.String` | `historyDateTime`
    `static java.lang.String` | `historyIcon`
    `static java.lang.String` | `historyLst`
    `static java.lang.String` | `queryEditorTxtBoxId`
    `static java.lang.String` | `queryText`
    `static java.lang.String` | `rgn1ChkBoxId`
    `static java.lang.String` | `rgnFilterTxtBoxId`
    `static java.lang.String` | `rgnNameSpanXpath`
    `static java.lang.String` | `rgnNameTxtBoxXpath`
    `static java.lang.String` | `rgnSpanFirstPart`
    `static java.lang.String` | `rgnSpanSecondPart`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataBrowser()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### rgnFilterTxtBoxId

          public static final java.lang.String rgnFilterTxtBoxId

      See Also:
        Constant Field Values

    - #### rgnNameSpanXpath

          public static final java.lang.String rgnNameSpanXpath

      See Also:
        Constant Field Values

    - #### rgnNameTxtBoxXpath

          public static final java.lang.String rgnNameTxtBoxXpath

      See Also:
        Constant Field Values

    - #### rgnSpanFirstPart

          public static final java.lang.String rgnSpanFirstPart

      See Also:
        Constant Field Values

    - #### rgnSpanSecondPart

          public static final java.lang.String rgnSpanSecondPart

      See Also:
        Constant Field Values

    - #### rgn1ChkBoxId

          public static final java.lang.String rgn1ChkBoxId

      See Also:
        Constant Field Values

    - #### queryEditorTxtBoxId

          public static final java.lang.String queryEditorTxtBoxId

      See Also:
        Constant Field Values

    - #### btnExecuteQueryId

          public static final java.lang.String btnExecuteQueryId

      See Also:
        Constant Field Values

    - #### divDataRegions

          public static final java.lang.String divDataRegions

      See Also:
        Constant Field Values

    - #### historyIcon

          public static final java.lang.String historyIcon

      See Also:
        Constant Field Values

    - #### historyLst

          public static final java.lang.String historyLst

      See Also:
        Constant Field Values

    - #### queryText

          public static final java.lang.String queryText

      See Also:
        Constant Field Values

    - #### historyDateTime

          public static final java.lang.String historyDateTime

      See Also:
        Constant Field Values

    - #### btnClearXpath

          public static final java.lang.String btnClearXpath

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DataBrowser

          public DataBrowser()